TradeSkillFrameReset = TradeSkillFrame_LoadUI;

TradeSkillFrame_LoadUI = function()
	TradeSkillFrameReset();
	BLIZZ_SetSelection = TradeSkillFrame_SetSelection;

	UIPanelWindows["TradeSkillFrame"] =	{ area = "doublewide" };
	TradeSkillFrame:SetAttribute("UIPanelLayout-width", 667);
	TradeSkillFrame:SetWidth(667);
	TradeSkillFrame:SetHeight(496);
	TradeSkillRankFrame:SetWidth(586);
	TradeSkillListScrollFrame:ClearAllPoints();
	TradeSkillListScrollFrame:SetPoint("LEFT", TradeSkillFrame, "LEFT", 10, -28);
	TradeSkillListScrollFrame:SetHeight(380);
	TRADE_SKILLS_DISPLAYED = 19;
	for i = 8 + 1, 19 do
	   local button = CreateFrame("Button", "TradeSkillSkill"..i, TradeSkillFrame, "TradeSkillSkillButtonTemplate");
	   button:SetID(i);
	   button:Hide();
	   button:ClearAllPoints();
	   button:SetPoint("TOPLEFT", getglobal("TradeSkillSkill" .. (i-1)), "BOTTOMLEFT", 0, 1);
	end;
	TradeSkillDetailScrollFrame:ClearAllPoints();
	TradeSkillDetailScrollFrame:SetPoint("LEFT", TradeSkillListScrollFrame, "RIGHT", 40, -11);
	TradeSkillDetailScrollFrame:SetHeight(380);
	TradeSkillLinkFrame:ClearAllPoints();
	TradeSkillLinkFrame:SetPoint("LEFT", TradeSkillFilterButton, "RIGHT", 0, 0);
	TradeSkillIncrementButton:ClearAllPoints();
	TradeSkillIncrementButton:SetPoint("LEFT", TradeSkillInputBox, "RIGHT", 0, 0);
	TradeSkillCreateButton:ClearAllPoints();
	TradeSkillCreateButton:SetPoint("LEFT", TradeSkillIncrementButton, "RIGHT", 0, 0);
	local regions = {TradeSkillFrame:GetRegions()};
	for _,r in ipairs(regions) do
		if (r:IsObjectType("Texture")) then
			if r:GetName() == nil then
				TradeSkillFrame:CreateTexture("TradeSkillHorizontalBarRight");
				TradeSkillHorizontalBarRight = r;
			end;
		end;
	end;
	TradeSkillHorizontalBarLeft:ClearAllPoints();
	TradeSkillHorizontalBarLeft:SetPoint("RIGHT",TradeSkillListScrollFrame,"RIGHT",39,69);
	TradeSkillHorizontalBarLeft:SetWidth(16);
	TradeSkillHorizontalBarLeft:SetHeight(256);
	TradeSkillHorizontalBarLeft:SetTexture("Interface\\AddOns\\TradeSkillHD\\UI-TradeSkill-VerticalBar");
	TradeSkillHorizontalBarLeft:SetTexCoord(0,.25,0,1);
	TradeSkillHorizontalBarRight:ClearAllPoints();
	TradeSkillHorizontalBarRight:SetPoint("TOP", TradeSkillHorizontalBarLeft, "BOTTOM",0,0);
	TradeSkillHorizontalBarRight:SetWidth(16);
	TradeSkillHorizontalBarRight:SetHeight(256);
	TradeSkillHorizontalBarRight:SetTexture("Interface\\AddOns\\TradeSkillHD\\UI-TradeSkill-VerticalBar");
	TradeSkillHorizontalBarRight:SetTexCoord(.25,.50,0,1);
	TradeSkillRankFrameBorder:SetTexture("Interface\\AddOns\\TradeSkillHD\\UI-TradeSkill-BarFix1");
	TradeSkillRankFrame:CreateTexture("TradeSkillRankFrameBorderB", "BORDER");
	TradeSkillRankFrameBorderB:ClearAllPoints();	
	TradeSkillRankFrameBorderB:SetPoint("LEFT", TradeSkillRankFrameBorder,"RIGHT",0,0);
	TradeSkillRankFrameBorderB:SetWidth(274);
	TradeSkillRankFrameBorderB:SetHeight(27);
	TradeSkillRankFrameBorderB:SetTexture("Interface\\AddOns\\TradeSkillHD\\UI-TradeSkill-BarFix2");
	TradeSkillRankFrame:CreateTexture("TradeSkillRankFrameBorderC", "BORDER")
	TradeSkillRankFrameBorderC:ClearAllPoints();
	TradeSkillRankFrameBorderC:SetPoint("LEFT", TradeSkillRankFrameBorderB, "RIGHT", 0,0);
	TradeSkillRankFrameBorderC:SetWidth(137);
	TradeSkillRankFrameBorderC:SetHeight(27);
	TradeSkillRankFrameBorderC:SetTexture("Interface\\AddOns\\TradeSkillHD\\UI-TradeSkill-BarFix3");
	TradeSkillListScrollFrame:CreateTexture("TradeSkillListScrollFrameBarMiddle", "BACKGROUND");
	TradeSkillListScrollFrameBarMiddle:ClearAllPoints();
	TradeSkillListScrollFrameBarMiddle:SetPoint("RIGHT", TradeSkillListScrollFrame, "RIGHT", 27, 0);
	TradeSkillListScrollFrameBarMiddle:SetTexture([[Interface\ClassTrainerFrame\UI-ClassTrainer-ScrollBar]]);
	TradeSkillListScrollFrameBarMiddle:SetTexCoord(0, 0.46875, 0.2, 0.9609375);
	TradeSkillListScrollFrameBarMiddle:SetWidth(30);
	TradeSkillListScrollFrameBarMiddle:SetHeight(144);
	TradeSkillCancelButton_LeftSeparator:ClearAllPoints();
	TradeSkillCancelButton_LeftSeparator:SetPoint("RIGHT", TradeSkillCancelButton, "LEFT", 5, 0);
	TradeSkillCreateButton:CreateTexture("$parent_RightSeparator", "BORDER");
	TradeSkillCreateButton_RightSeparator:SetTexture([[Interface\FrameGeneral\UI-Frame]]);
	TradeSkillCreateButton_RightSeparator:SetTexCoord(0.00781250, 0.10937500, 0.75781250, 0.95312500);
	TradeSkillCreateButton_RightSeparator:ClearAllPoints();
	TradeSkillCreateButton_RightSeparator:SetPoint("LEFT", TradeSkillCreateButton, "RIGHT", -5, 0);
	TradeSkillCreateButton_RightSeparator:SetWidth(13);
	TradeSkillCreateButton_RightSeparator:SetHeight(25);
	
	TradeSkillFrame_LoadUI = TradeSkillFrameReset;
	if TradeFrame:IsShown() and GetUIPanelWidth(UIParent) < 1100 then HideUIPanel(TradeSkillFrame); end;
end;
